curl --request GET \
--url https://api.jtl-cloud.com/erp/items/{itemId} \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/items/{itemId}"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/items/{itemId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Id": 123,
"SKU": "<string>",
"ManufacturerId": 123,
"ResponsiblePersonId": 123,
"IsActive": true,
"Categories": [
{
"CategoryId": 123,
"Name": "<string>"
}
],
"Name": "<string>",
"Description": "<string>",
"ShortDescription": "<string>",
"Identifiers": {
"Gtin": "<string>",
"ManufacturerNumber": "<string>",
"ISBN": "<string>",
"UPC": "<string>",
"AmazonFnsku": "<string>",
"Asins": [
"<string>"
],
"OwnIdentifier": "<string>"
},
"Components": [
{
"ItemId": 123,
"Quantity": 123,
"SortNumber": 123
}
],
"ChildItems": [
123
],
"ParentItemId": 123,
"ItemPriceData": {
"SalesPriceNet": 123,
"SuggestedRetailPrice": 123,
"PurchasePriceNet": 123,
"EbayPrice": 123,
"AmazonPrice": 123
},
"ActiveSalesChannels": [
"<string>"
],
"SortNumber": 123,
"Annotation": "<string>",
"Added": "2023-11-07T05:31:56Z",
"Changed": "2023-11-07T05:31:56Z",
"ReleasedOnDate": "2023-11-07T05:31:56Z",
"StorageOptions": {
"InventoryManagementActive": true,
"SplitQuantity": true,
"GlobalMinimumStockLevel": 123,
"Buffer": 123,
"SerialNumberItem": true,
"SerialNumberTracking": true,
"SubjectToShelfLifeExpirationDate": true,
"SubjectToBatchItem": true,
"ProcurementTime": 123,
"DetermineProcurementTimeAutomatically": true,
"AdditionalHandlingTime": 123
},
"CountryOfOrigin": "<string>",
"ConditionId": 123,
"ShippingClassId": 123,
"ProductGroupId": 123,
"TaxClassId": 123,
"Dimensions": {
"Length": 123,
"Width": 123,
"Height": 123
},
"Weights": {
"ItemWeigth": 123,
"ShippingWeight": 123
},
"AllowNegativeStock": true,
"Quantities": {
"MinimumOrderQuantity": 123,
"MinimumPurchaseQuantityForCustomerGroup": [
{
"CustomerGroupId": 123,
"PermissibleOrderQuantity": 123,
"MinimumPurchaseQuantity": 123,
"IsActive": true
}
],
"PermissibleOrderQuantity": 123
},
"DangerousGoods": {
"UnNumber": "<string>",
"HazardNo": "<string>"
},
"Taric": "<string>",
"SearchTerms": "<string>",
"PriceListActive": true,
"IgnoreDiscounts": true,
"AvailabilityId": 123
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Get Item
Get a specific item
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Path Parameters
The id of the Item to return.
Response
Returns the Item for the given id.
Model Class: Item
Unique ID to identify an item.
Item SKU. If no SKU is given when posting an item, the SKU will be generated automatically.
The manufacturer ID.
The Responsible person ID.
Indicates if the item is active.
List of all the categories for the item.
Show child attributes
Show child attributes
Name of the item in the default language in JTL-Wawi.
Full textdescription for the item
Short description of the item in the default language in JTL-Wawi.
Identifiers for items like EAN and UPC.
Show child attributes
Show child attributes
Components for the item if the item is a bill of material.
Show child attributes
Show child attributes
IDs of the child items, if the item is a parent item.
ID of the parent item, if the item is a child item.
Price data of the item.
Show child attributes
Show child attributes
The list of active sales channels of the item. Only online shops and JTL-POS are permitted. Sales channels that are removed from this list will be deactivated for this item.
The sort number of the item, used in some sales channels for ordering items.
The item annotation.
Date when the item was added to the system.
Date of the last change made to the item. Only item data changes are relevant for this field, not changes in stock.
The date when the item was put up for sale.
Storage options for the item.
Show child attributes
Show child attributes
The country of origin of the item.
Condition ID of the item. Default if nothing is specified.
The shipping class ID.
The ID of the item group.
The ID of the tax class.
The dimensions of the item.
Show child attributes
Show child attributes
The weight of the item.
Show child attributes
Show child attributes
This option allows you to sell a higher quantity of the item than is actually in stock.
Quantities of the item.
Show child attributes
Show child attributes
Any information about dangerous goods.
Show child attributes
Show child attributes
Taric code of the item.
Search terms for the item.
Indicates if the item is in the price list.
Indicates if discounts are to be disregarded.
Availability ID of the item.
Was this page helpful?